For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • TRANSAK STREAM ON-RAMP API
    • End Points
    • POSTCreate VBA
    • GETGet VBA List
    • GETGet VBA by ID
    • PUTUpdate VBA
    • DELDelete VBA
    • POSTAdd Remitter Account
    • PATCHUpdate Remitter Account
Dashboard
LogoLogo
TRANSAK STREAM ON-RAMP API

Update Remitter Account

||View as Markdown|
PATCH
https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account
PATCH
/api/v2/onramp-stream/vba/remitter-account
$curl -X PATCH https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/remitter-account \
> -H "x-api-key: x-api-key" \
> -H "Content-Type: application/json" \
> -d '{
> "fiatCurrency": "INR",
> "oldRemitterAccountDetails": {
> "accountNumber": "888456789",
> "ifscCode": "AIRP0000001",
> "bankName": "Kotak Bank"
> },
> "newRemitterAccountDetails": {
> "accountNumber": "1234567555",
> "ifscCode": "AIRP0004454",
> "bankName": "SBI Bank"
> }
>}'
1{
2 "data": {
3 "id": "698aea7cca7b3c554bd10225",
4 "status": "ACTIVE",
5 "source": {
6 "remitterAccountDetails": [
7 {
8 "accountNumber": "54455678892",
9 "ifscCode": "ICIC8892",
10 "bankName": "ICICI Bank"
11 },
12 {
13 "accountNumber": "8884567899",
14 "ifscCode": "AIRP0000001",
15 "bankName": "Kotak Bank"
16 },
17 {
18 "accountNumber": "1234567555",
19 "ifscCode": "AIRP0004454",
20 "bankName": "SBI Bank"
21 },
22 {
23 "accountNumber": "888456689",
24 "ifscCode": "AIRP0000001",
25 "bankName": "Kotak Bank"
26 }
27 ],
28 "fiatCurrency": "INR",
29 "bankAccount": {
30 "type": "account_number",
31 "value": "8642343AA00000006"
32 },
33 "bankLocalCode": {
34 "type": "ifsc_code",
35 "value": "SMCB0000CMS"
36 }
37 },
38 "destination": {
39 "cryptoCurrency": "USDT",
40 "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
41 "network": "polygon",
42 "memoTag": "vishTest"
43 }
44 }
45}
<Note>This API is only applicable for INR bank accounts.</Note>
Was this page helpful?
Previous

Add Remitter Account

Built with
This API is only applicable for INR bank accounts.

Headers

x-api-keystringRequired
Your Api Key, which you can get from the Transak Partner Dashboard for the respective environment
authorizationstringOptional

The authorization token is the accessToken returned by theWhiteLabel API - api/v2/auth/verify

Note: This applies only when you are not using the Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Request

This endpoint expects an object.
fiatCurrencystringRequired
oldRemitterAccountDetailsobjectRequired
newRemitterAccountDetailsobjectRequired

Response

Success
dataobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error